<template>
  <header>
    <h3>Forgot Password</h3>
    <p>
      <span
        >Enter the email you used to create your account so we can send you
        instructions on how to reset your password.</span
      >
    </p>
  </header>
  <form>
    <fieldset>
      <EmailField
        v-model="email"
        @pass="pass = $event"
      />
    </fieldset>
    <footer>
      <Button
        :disabled="!pass"
        @click.prevent="recovery"
      >
        Send
      </Button>
      <Link :to="appEndpoints.LOGIN">Back to Login</Link>
    </footer>
  </form>
</template>

<script lang="ts" setup>
import { Button, Link } from '~shared/ui';
import { EmailField } from '~features/auth';
import { appEndpoints } from '~shared/libs';

const email = ref('');
const pass = ref(false);
const recovery = () => {
  console.log('recovery in progress');
};
</script>
